title: OK, I'm done with soycial media, including Fediverse
author: 寮
date: 2022-12-09
tags: technology,internet,webdev,sns
----
076's services are perhaps the last remaining spaces of free speech.\
And I still stand by it, but now the Fediverse too made me lose faith in anything that's not self hosted on the darknet in just HTML and CSS.

076 SNS broke a few days ago, and even though attempts have been done to get it back working again, they all failed because the problem is in PostgreSQL that just borked.\
While loli frog is going to set up a different Fedi instance (more specifically Hubzilla) soon (and thus people will be asked to re-register and move their data from the old Pleroma instance if at all even possible), I think I won't be part of it anymore.\
Fediverse is a great concept, solves so many problems all the centralized soyvices have, but consider the following:

* Mastodon: Ruby (Rails), PostgreSQL, hard to install, JS required
* Pleroma: Elixer, PostgreSQL, JS required, much easier to install but still pretty anal
* Misskey: JS (NodeJS), PostgreSQL, JS required, hard to install
* Mitra: Rust, JS required, can't comment on the rest though
* GNU Social and Friendica: outdated version of PHP (neither even support PHP 8.x, and 7.4 is EOL since last month), on top of that they both are made using a framework (therefore, the PHP code is fake on top of all that), very anal to install, though at least JS is not required which is already an improvement
* PeerTube: JS (NodeJS), PostgreSQL, JS required, not that hard to install but updates can still destroy the instance
* Hubzilla: it's that fake PHP (aka, PHP framework) all over again, but seems to be the least anal, though still pretty hard to install

If you pay enough attention, you'll see the following problems:
1. Mandatory JS for the frontend
2. PostgreSQL
3. Using a framework instead of real code
4. And because it's all frameworked, installation and maintenance is a pain in the asshole

And now lots of pro-PostgreSQL people will be mad at me, and pro-MariaDB and pro-MySQL people will be like "what's wrong with PostgreSQL?", the problem with PostgreSQL is that, in my experience throughout my entire carreer, it ALWAYS breaks at some point in time.\
I have yet to see any web app that's using PostgreSQL that manages to stay afloat after at least 3 years since its initial installation.\
In comparison, I've seen web applications that use MariaDB have been running for years and years without a single problem, even if MariaDB is a bit slower and less strict by default.\
Plus PostgreSQL has always been a massive pain to install, and even worse to manage unless you install some stupid Electron soyware like pgAdmin or some shit.

So the only way to remain on the Fediverse will be to build your own Federated software from scratch, with MySQL/MariaDB, without any frameworks at all, can be installed painlessly, doesn't need JS for the frontend to function (yes, I prefer to periodically press F5 over getting half my screen spammed with notifications all the time).\
Me and loli frog are together working on such software, planning on replacing PeerTube with [wara.moe](), and Pleroma (and as it seems, soon to become Hubzilla) with [oooo.moe](), plus an additionally new service called [iiii.moe]() as a Pixiv replacement, all with a very straightforward installation process (so just dump the files on a server and import the .sql files into the MySQL/MariaDB backend), so that you can even run them off a shared hosting service just as fine as from a VPS, like how software used to be made 2 decades ago, and no JS requirement at all.\
We also have [aaaa.moe](), [eeee.moe](), and [uuuu.moe]() in case you're wondering, but we don't have plans for these as of yet.

But for those who don't want to participate in soycial media at all anymore, I've just set up an I2P-only IRC server over at [地下広場](http://chikahiroba.i2p) (don't worry, dispite the Japanese sounding name, the community is actually in English, but the aim is to basically be the Libera Chat of the darknet).\
Also explore the [webring](/webring/) of this website, I've been adding tons of cool websites by others to the list even just a few minutes ago, and I'll continue to do so as I continue to explore the I2P internet more.\
The links there don't necessarily align with my thoughts, all I want is to support the efforts of individuals who are willing to put a website together like in the 1990s, and the best way to achieve it is to link to as many of them as possible regardless of content, just as long as it's a personal website without any of the soy that can be found on today's clearnet.
