title: I found the reason why free software OS and proprietary soyware OS are mutually imcompatible
author: 寮
date: 2022-07-12 06:20:00
tags:technology,linux,bsd
threadid: ALOVmo7vvCHhvqPgRs
----
In the Linux space we see this every single day, WinDOS and macOS users wanting to switch to Linux, then they find it's too difficult, and so they ragequit.\
And me as a life long Linux user, I had the exact same thing when using WinDOS and macOS for the first time, I too found these too difficult and ragequitted.\
Then I saw a video on [Luke Smith](https://video.076.ne.jp/c/luke_channel@videos.lukesmith.xyz/videos?s=1)'s channel (I can't remember which one, but I think he mentioned it multiple times), and then it started to make sense.\
Basically, the work flow in a free software environment is just radically different from the work flow in a proprietary soyware environment.

In chad Linux and chad BSD, we use a box of smaller tools being excellent in the 1 thing they're designed to do, which all work seemlessly together with one other.\
In virgin WinDOS and virgin macOS, they use a single space ship that does all sorts of things from within 1 platform.\
It's convenient to have everything in 1 platform, the tradeoffs are that your safety is being compremised, you're enslaved to an EULA, you have no idea how the world behind that walled garden is like, and it's easy to get lost if you're new to that platform.

Linux users would be using Neovim for text editing, Git for version control, rsync for publishing the outputted files to the server, make corrections using "sed", find the right files with "find", find the contents of a file with "grep", create files with "touch", create folders with "mkdir", delete these with "rm" and "rmdir" respectively (or otherwise "rm -rf" works for both), and so on.\
Meanwhile, WinDOS users would use Visual Studio and do all of the above from within that single platform.

To make the explanation more normie friendly, if you were a plummer wearing red/blue clothes, jumping through many pipes to save the princess, killing shitage mushrooms and turtles, and eating red mushrooms and flowers along the way, if you were using chad Linux or chad BSD, your toolkit would look like this:\
![](http://ass.ryocafe.site/istockphoto-177436977-170667a.jpg)

If you were using virgin WinDOS or virgin macOS, your toolkit would look like this:\
![](http://ass.ryocafe.site/swiss_army_knife005.jpg)
