title: If you already have an audience, don't make it "beginner friendly"
author: 寮
date: 2022-08-02 07:40:00
tags:technology,linux,bsd,webdev,internet
threadid: AM696qaYu9L7z9ayCO
----
When I was reviewing [GC2](/fali/gc2/), I noticed they disabled federation to allegedly stop downtime from happening, which is quite a bullshit reason.\
But then Takahashi-san replied to his Toot making a new justification, which is that apparently removing federation is going to make it "a little easier to understand for beginners".\
This too is quite a bullshit claim, instances like mastodon.soycial/.online, mstdn.jp, Pawoo, and many more have all been welcoming beginners to the Fediverse at one point, and not even once I've seen them complaining about a federated SNS being difficult to understand.\
Sure, it's quite a new concept if you're a zoomer who only knows Shitter, JewTube, Discucked, TikTok, and Instantkilograms, and perhaps never used email before with addresses that aren't on GayMail.\
But even they got a hang of it a few days later, and it all become a non-issue.

Fediverse aside, there have been many different things that used to have a higher barrier of entry, then somebody stepped in in the attempt to make it all more "beginner friendly", which only destroyed everything.

One such example is the internet itself.\
To even get on the internet you had to know to do so, technical skills were a must.\
Then it all became super easy, the mainstream came in, and now it's all either big corporations, or music labels who refuse to learn to code, or deranged lunatics getting offended by literally everything, all of which have introduced Orwellian censorship and spying, and now they're all as unhappy as all the rest of us are.\
All the veterans have been pushed in the corner so much, it's a matter of time before the boundaries break, and we veterans just fall out of it.

Another example is Linux.\
Before Ubuntu you had to have technical knowledge in order to use it.\
Then Ubuntu came along which made it easy for newcomers to get in, and now we have Flatpaks and Snaps for the total newcomers, which have destroyed the environment for both the newbies, and veterans.\
Luckily the independent distro's like Arch/Artix, Debian/Devuan, Gentoo, Alpine, Void, and Slackware don't come with them by default, and refuse to do so.\
Some distro's based on those, like Mankojaro (Arch) and Ubuntu (Debian) do.\
Some other distro's based on these, like OpenSUSE (Slackware) or postmarketOS (Alpine) fortunately don't.

Programming is the same way, we had quality software when programming was still "hard".\
Now we have easy to use and easy to learn scripting languages, frameworks, and other bullshit that shouldn't exist anyway, and look at what the web has become, look at what gaming has become, look at what the desktop is becoming.\
I can't really blame for the mobile environment to be bad, because it has been bad from day 1 anyway.

On the other hand, easy to use stuff do have a useful role as an introduction to something normies would otherwise refuse to even peek from a safe distance, which is what they do.\
But easy to use stuff should then graduately stimulate them into going deeper, and help them get good at technology eventually, which is what they don't do.\
Instead, they incentivise normies to stay with them forever and keep them stupid, which is why technology has become a mess.\
Imagine teaching your little kid how to ride a bicycle, but never remove the little side wheels, and instead add a bunch of pillows around that bicycle so you can then brag how your 60 year old son or daughter never fell off his or her bicycle in his or her entire life.
