title: Current year "full stack" is not what it originally used to mean
author: 寮
date: 2022-05-26 18:24:20
tags:technology,webdev
----
Back when I started my web dev career, "full stack" meant "HTML, CSS, PHP, MySQL, and optionally JS, AJAX, and/or jQuery to spice things up in the frontend, program however you want as long as it works".

What has changed?
* Just PHP is no longer allowed, must go through a bloated framework.
* Just CSS is no longer allowed, must go through either SASS or SCSS.
* Just JS is no longer allowed, must go through either Angular, or React, or Vue.
* Additionally, JS is now deemed compulsary.
* Oh, and while we're at it, it must be made using a bloated SPA framework too, and backend code must go through JSON-based API calls.
* You have to put everything into a Docker container, as if Apache or Nginx were unable to do their job.
* Dependencies MUST be managed through NPM/Yarn and Composer.
* Additionally, everything apart from index.html MUST go through a CDN.
* Prosedural programming (aka, real programming) is no longer allowed, must be Object Oriented Programming (aka, spaghetti code).
* You have to spend weeks upon weeks to setting up automated test units, as if normal testing is impossible.
* You must only edit the virtual DOM, because editting the normal DOM is for boomers.
* You must go through the Redis cache.
* You must know MySQL, PostgreSQL, SQLite, MSSQL, and ORACLE, even though you only need 1 of those.
* Must be code reviewed by the managers who can't even read the code.
* Must use a frontend router.

Leave one thing out, and all of the sudden it's no longer considered "full stack" in current year...
