title: Most people simply don't care about (F)OSS licenses, and just want easy fixes
author: 寮
date: 2022-11-11
tags: technology,foss,computer,internet,programming
threadid: APUxLUBGiV6zTJDj3g
----
This is a kind of response to Unix Sheikh's [When you use open source software you are not entitled to anything!](https://unixsheikh.com/articles/when-you-use-open-source-software-you-are-not-entitled-to-anything.html) blog post.\
I believe he's right, though this isn't limited to open source software.\
I've actually seen far more entitlement in proprietary soyware, where it makes even less sense.

Because with open source at least you can fork it, make changes you want to have, [like the dreaded double slash bug that otherwise nobody else cares about](https://social.076.ne.jp/notice/APULYOQZcbH38R6g6a), and submit a pull request which the developer might or might not add to upstream, which also grants you the right to brag about contributing to a project either way.\
And if it doesn't get added, then you can run your own fork.

However, this is not what most people want, most people only want to consoom and pretend to be producers.\
Instead of them being as productive as they claim and fix problems themselves (the source code is in the open, they can literally do it this very instant), they just wait for the developer to come in and fix it for them, which depending on what it is might either satisfy or anger an entire userbase.\
Yes, I complain about how open source projects are being done sometimes, like SoystemD and Furryfox for example, but these codebases are so gigantic, it's basically like having a transparent suitcase with a lock on it, but only the main developer (Poettering or Cuckzilla respectively in this case) has the keys to unlock it, and then they demand you to just make changes.

I actually invented a word for "open source" software with codebases so complex that they're effectively unmodifyable: glass source software.\
You can see the source code, but it's so complex that any change might render it unusable.\
Just like how you can look through glass, but as soon as you hit it with your fist, you not only destroy the glass, but also your hand.\
I did that before, trust me, I don't recommend that at all.

He also pointed out licenses.\
You do know that EULA's in closed source soyware always get marked as "I've read the terms and I agree with them" while nobody ever reads it right?\
Same thing with FOSS licenses, except the difference is that FOSS licenses are only a few varieties and they are universally applicable.\
So if something uses the GPLv2 license, you know what it's all about without reading it.\
If somebody uses the BSD license, you know what it's all about by the name alone, and so on.

So clearly the use of licenses isn't the problem, the problem is user laziness.\
What should be an issue isn't that users of (F)(L)OSS software feel entitled for using (F)(L)OSS software, but rather that its users are unwilling to contribute by fixing what bothers them themselves to help out a developer that otherwise doesn't have the time to do it for you.\
After all, everyone who's making open source software has a job (full time or freelance) or study on which they spend 8 hours or more a day on, then 8 hours are allocated to sleep, among the remaining 8 hours there's commute, shopping for and making food, taking out the trash, doing the laundary, washing the dishes, taking a bath and/or shower, taking a dump, learning a new (programming or human) language, walking the dog, feeding the cat (or dog), masturbating to porn, and so on.\
All the work we do is really just hobby, we make software because it's our passion.\
But please be mindful that often times your contributions are far more appreciated than you being basically a bug tester and then nagging the developers to fix problems for you.

What's different between Hozon Site and say Furryfox is that Furryfox is literally a project by a corporation, they have lots of developers who get paid for developing Furryfox.\
Hozon Site on the other hand is done by just 1 person in her free time who also lives alone, and therefore in addition to having a full time job and commute back and forth from Mondays to Fridays, she has to do all the household work too.\
The reason why I point that out is that usually the same people who feel the entitlement to steer a project into whatever direction they want without having their own input into it also tend to make a distinction between projects done as a hobby and projects done as a commercial job.\
If you really can't fix by yourself, you might perhaps find some left wing commie autist who's living off state handouts while still living with their parents that also happens to have coding skills that might fix it for you, those people generally have 18 hours or free time a day (the rest is allocated to food and sleep) rather than 30 minutes to 3 hours like those of us who have to provide for ourselves first and foremost.
