title: Web 1.0 is the new normal, again
author: 寮
date: 2022-12-17
tags: technology,internet,darknet,tor,i2p
----
Here in Japan, new year marks the end of the old story, and the start of the new story, kind of like a rebirth every single year.\
And since the internet makes things faster, the internet portion of my life restarted a few weeks early.\
Quite a few things happened; 076.ne.jp's Pleroma instance borked (though 076.moe now has a GNU Social instance), because it borked I got quite a bit of success with my brand new IRC group (XMPP is coming soon), I moved away from the clearnet, and I prefer I2P over Tor now.\
And this all reminds me once again that not only the modern internet is full of crap, but also that you don't need any of that crap.

## I2P

I'll start from the end, because this is the event change that happened first.\
I used to be a massive Tor fanboy because it cuts out all the middlemen you need to worry about on the clearnet.\
But while I was already aware of I2P to be a thing, I never really took it seriously because I would have to keep switching between proxies all the time (unless I configure an outproxy, which nobody recommends anyway).\
However, after exploring it a bit more through [http://reg.i2p/](http://reg.i2p/), I realized how exploring I2P is so much easier than both Tor and clearnet.\
Because on Tor you really have to know the Hidden Service already, and hope they have a webring so you can explore from there, while on the clearnet the search engines have been made more and more useless, not only because all you can find nowadays is REEEEdit, StackOverflow, Fakebook, and useless AI-generated websoytes filled with mass surveillance (people who have been reading my blog for a while know what I'm talking about), but also because governments keep censoring Goolag more and more (whether it be piracy or "misinformation" (according to them) or whatever else), which automatically affects just about every other search engine too, since there are only 3 major crawlers, 2 of them owned by the same company, and all of them owned by the same institutional investors, and those 3 influence all the "small and independent" crawlers.

I wrote an entire article about I2P, so find out more [here](/blog/i2p-is-awesome/).

## GNU Social

So most of you will know by now, but the Pleroma instance [https://social.076.ne.jp/](https://social.076.ne.jp/) is dead, and will be euthenized by the end of this month.\
However, loli frog has already set up a replacement, [https://social.076.moe/](https://social.076.moe/), which is a GNU Social instance, and it's advised that users of the Pleroma instance move over to GNU Social.\
Not only because Pleroma will soon be deleted, but also because GNU Social is so much better.

GNU Social doesn't require JS, you need to refresh manually in order to see the latest posts (and thus it removes all the distractions), and apparently [it got confirmed you can view it with lynx and w3m too](https://social.076.moe/conversation/1617#notice-2641).\
So far I find it way more comfortable, Pleroma feels very chaotic in comparison.

And the lack of all the modernity in GNU Social made me realize that you really don't need any of that.\
You can still reach out to the wider Fediverse network (or rather networks, because Pleroma is limited to just ActivityPub, whereas GNU Social has access to the Diaspora and OStatus networks on top of that too), and since I have to manually refresh the page in order to see new posts and replies, I instantly noticed a 400% increase in productivity.

## IRC

And of course before GNU Social got set up, out of anger of Pleroma just breaking out of nowhere I've set up [an IRC channel that exists exclusively on I2P](http://chikahiroba.i2p/) (the address helper can be found in the menu part of this website).\
In the first 4 days we've already got 10 or so people joining, many of which are actively talking every single day, and it consists of people from all sorts of countries worldwide too.\
The most I've seen was yesterday at 12 users online at once, so if you can, please join us over on IRC, we're a very chill club.\
Though because it's on I2P, it keeps all the low quality people away, which is a major plus too.

## BSD

A few months back I finally gave the BSDs a try, FreeBSD, OpenBSD, and GhostBSD (which is FreeBSD pre-configured for desktop use).\
And I fell in love with them, so much so, my servers are now a mix of Devuan GNU/Linux, OpenBSD, and 1 FreeBSD server on one hand, Artix GNU/Linux, Void Linux, and GhostBSD on my PCs on the other hand, and postmarketOS, Mobian, Ubuntu Touch, and GrapheneOS on my smartphones on my dick.

And honestly, using Linux and the BSDs side by side is quite fun, and also helps me broaden my computer knowledge.

## It's Web 1.0 all over again

Now I'll reveal that the title of this blog was not clickbait after all.\
I2P, GNU Social, IRC, these are all kind of resemblence of the good old Web 1.0, the internet before the normie invasion, before soycial media, and before search engines.\
Well, GNU Social technically is more on the Web 2.0 side, but considering the rather "old and crusty" tech it uses under the hood (PHP, no JS requirement, it being lightweight, and so on), it does kind of get closer to a glorified guestbook.

By the way, I'll publish my RSS feed file on the clearnet too now just to make it easier for those of you who can't figure out how to configure your RSS reader to fetch on the darknet.\
The RSS feeds will have the I2P version, so all links will be based on that.\
[https://ryocafe.site/blog.atom](https://ryocafe.site/blog.atom)
