title: How to write a Code of Conduct correctly (no meme edition)
author: 寮
date: 2023-02-13
tags: coding,programming,bloat,
----
If you've read this blog enough, you'll know my stance on Code of Conducts in general:
1. They're a waste of time.
2. They destroy projects.
3. It's bloat.

And in general, CoCks are a controversy in itself, they're always designed to deprive everyone of fun, and create a hostile environment in which developers, users, and everybody else need to constantly walk on eggshells, and any miliscule """violation""" gets you cancelled for life.\
[Which is why my Code of Conduct is basically just a meme](/codeofconduct/).\
You can however make a serious CoCk that's actually reasonable.\
What a CoCk needs is:
1. Filename is "CODE_OF_CONDUCT.md", so that Goyhub (and maybe Gitlab too, I wouldn't be surprised if they did) can recognize it and add a fancy emblem to the project's main page.
2. Title is "Code of Conduct", though variations are possible.
3. Say what's considered good and bad behavior.
4. Sign off.
5. Preferrably jump into an active volcano and have regrets for being such a fucking janny while your soul is on its way to hell.

## Wall of Shame

First let's take a look at examples of how it should NOT be (I2P-only, random order), so we have a little wall of shame, like if hosting on Goyhub alone wasn't shameful enough:
1. [Zig](http://goyhub.i2p/file/ziglang/zig/master/.github/CODE_OF_CONDUCT.md)
2. [Mastosoc](http://goyhub.i2p/file/mastodon/mastodon/main/CODE_OF_CONDUCT.md)
3. [Electron](http://goyhub.i2p/file/electron/electron/main/CODE_OF_CONDUCT.md)
4. [TypeScript (and Microshaft as a whole)](http://goyhub.i2p/file/microsoft/TypeScript/main/CODE_OF_CONDUCT.md)
5. [Misskey](http://goyhub.i2p/file/misskey-dev/misskey/develop/CODE_OF_CONDUCT.md)
6. [PeerTube](http://goyhub.i2p/file/Chocobozzz/PeerTube/develop/CODE_OF_CONDUCT.md)
7. [Tor](http://goyhub.i2p/file/torproject/tor/main/CODE_OF_CONDUCT)
8. [SoystemD](http://goyhub.i2p/file/systemd/systemd/main/docs/CODE_OF_CONDUCT.md)
9. [Krita (and KDE as a whole)](http://goyhub.i2p/file/KDE/krita/master/CODE_OF_CONDUCT.md)

## The correct way of making a Code of Conduct

The one below is literally all you need.

```md
# Code of Conduct

By contributing to this project, you agree that we assume you're a responsible adult who knows how to code.\
The development team is not responsible for babysitting the community, and if you don't like that, then do not join,\
and either fork this project and make your own, or make your own from scratch.
```

And that's literally all you need!\
In a development project, all what should matter is that you can contribute code, and everything else is irrelevant.
