title: Want to be a real programmer? Stop using OOP!
author: 寮
date: 2022-05-27 20:53:09
tags:technology,webdev
----
When you say "I want to land my first coding job".\
What applicants often think you need: "I need to show that I know all about OOP(s), MVC, 20 billion different design patterns, frameworks like Laravel, CakePHP, Spring, Django, .NET and the rest of the bloat, polymorphism, abstraction etc".\
What you really need: a good portfolio with samples and a Git repository (for backend) or real world web designs (for frontend) so you can actually show what you're capable of.

Yes, you might come over as knowledgeable if you know frameworks and programming theories, but in the world of IT you're valued by your previous works.

And I bet it works like that in many other types of jobs too.\
If you studied swimming for 4 years without ever touching a pool, then all of the sudden you dive into a deep pool, sure you might be an expert in swimming, but you'll drown.\
Likewise, if you studied Japanese for 10 years and never spoke to a Japanese person, never read any Japanese text, and so on, you will still be unable to understand, speak, read, write etc Japanese.

And the same thing holds true with programming; with theory alone you're basically a researcher, and will never manage to put anything together.\
Witnessed it so many times during my career as a programmer, and also how these people effectively get fired for being unable to finishing 1 project in 2 years which I was able to complete by making it from scratch in 3 days.

Sure, theory is comfortable and all that, but never brings you anywhere if you don't have experience.
