title: Computer hardware stopped evolving last decade, here's why
author: 寮
date: 2022-09-10 23:35:00
tags:technology,computer
threadid: ANQMzFLkeMojMHQCXI
----
On [The Crowhouse forum](https://thecrowhouse.community/viewtopic.php?p=41539#p41539) I mentioned that I recently bought a 2006 note PC, and while using it for a while, I honestly notice no difference at all between that note PC and the other note PC from 2016, same brand, same Linux distro, same window manager, same applications, just 10 years difference as to when they were released.\
But same experience.\
Why is that?\
Wouldn't I get far better performance on the 2016 note PC?\
Nope, performance is the same.\
This is because modern laptops are just a scam.

## Processor

All IntHell processors made in 2008 or later all come with the IntHell Management Engine, and all AMD processors made after 2013 or later all come with the AMD Platform Soycurity Processor, although [you can allgedly "disable" the latter one now](https://hozon.site/archive/1662816002/www.phoronix.com/news/AMD-PSP-Disable-Option.html) (it's proprietary, so I'm still suspicious).\
Any processor before that don't have it, they did have something else in its place, but the free software community has long overcome that, so it's no longer an issue.\
As a result, old laptops can be Librebooted, whereas modern ones cannot.

Also, the best Core 2 processor, a Core 2 Extreme QX9775, is a 3.2 GHz processor, whereas the best Core i processor, the Core i9 12900KS, is a 3.4 GHz processor.\
The QX9775 came out in March 2008, the 12900KS came out in April 2022.\
So if in 14 years time we only managed to move up by 200 MHz, then what the fuck is even the point of getting the latest processor!?

## RAM

RAM on the other hand is one area that kept on evolving, but that has more to do with the constantly more hardware demanding soydevs that just take hardware for granted, very unlike how we used to program in the past, when we were challenged to squeeze out as much performance as we possibly could while on limited hardware.\
But still, you can take an old ThinkPad, and put a 16 GiB DDR3 thing into it, and it's like a current year ThinkPad.\
Yes, the norm is 64 GiB now in the soydev world, so they'll ridicule you for having anything lower than that, but unless you need to use soyware, 8 GiB is more than enough, which is what my 2006 laptop currently has.\
I never hit higher than 4 GiB on that thing, simply because I never need that.\
For every soyapp there's a chad terminal app that does the exact same thing in a far more sustainable and environment friendly way (by not having JavaScript or Electron or Webpack, or some other unwanted bloat).

## Disk space

Another area that didn't evolve much.\
But fair enough, if the idea is to turn computers into basically dumb thin clients so that you're obligated to have fiber internet access in order to connect to "The Cloud" (which means somebody else's computer) in order to even use it, then you don't need to have much disk space.\
But those of us who prefer to maintain technological freedom (which includes 100% of this blog's regular readers, because that's the main subject of this blog) will want to have lots of space.

And honestly, we we went up from 64 KiB all the way to 2 TiB very rapidly, but since then it seemed to have been stuck at that.\
Over time we managed to push a bit further into the 4 TiB area, but I haven't seen anything higher than that.\
2 TiB is what we already accomplished in 2012 or some shit, and you can plug them into old laptops perfectly fine, as long as they have a SATA connector instead of IDE.

The only true difference is between an HDD and SSD.\
Nowadays we also have the NVMe, but honestly there's not much difference in performance from SSD, maybe they're a tiny bit faster, but that's all there is.\
Performance differences between SSD and HDD on the other hand is clear as day, and literally noticeable from the moment you press the power button.

## Graphics

New video cards come out all the time, but unless you're a gaymer or a crypto miner, you don't need to worry about this one at all.\
If all you do is coding/programming, text editing, browsing the (good) web, and so on, even the crappiest IntHell HD Graphics chipset is good enough.\
And I heard from a JewTuber that he's still using an NVIDIA 1080Ti to play the latest PC gaymes at high settings without any issues, a GPU released back in 2017.\
So again, unless you're playing the latest AAA PC gaymes (which is all woke garbage anyway) or you're mining crypto ([and perhaps Europeans will soon stop doing that due to their increased elecriticity bills](https://social.076.ne.jp/notice/ANPhbGITNg6fE1KgYi)), do you really need a high-end graphics card just to browse the internet?\
Maybe, because clown world and the soydevs it created.

## Repairability

Remember the days you could just unscrew 1 screw, and replace whatever hardware you want?\
I do, and it used to be the norm!\
Nowadays not only you have to unscrew a fuckton of screws, you're required to have a special screwdriver too, you have to remove the glue, you have to be careful to not destroy ribbon cables, you have to use one or more old credit cards or have your hands cut off.\
And once you finally get it opened up, you'll realize that all components are soldered on, and you have no idea which part is the RAM, which part is the SSD, and all other shit.\
So basically, all you can do is just throw it away, create more eWaste, and buy a new computer.

This was my exact experience when trying to repair a 2018 IdeaPad which broke last year.\
After all this, I thought to myself "this was the last time I bought a new laptop, so from now on I'll only ever buy old computers".\
I stuck to that promise, and bought a 2016 ThinkPad, and later I bought a 2006 ThinkPad.\
My 2016 ThinkPad still works, but my 2006 one is now my daily driver, especially since it's Librebootable.\
In fact, I'm even writing and publishing this very article from my 2006 ThinkPad, all without any issues whatsoever!

## Sustainability

Older laptops (especially ThinkPads) were designed to last forever.\
Take any ThinkPad from the late 2000's, whether from IBM or Lenovo I don't care, take any ThinkPad from the early to mid 2010's, and take any ThinkPad from late 2010's to current year or any normie laptop from early-mid 2010's to current year.\
The latter ones will break the moment the warranty expires.\
This is even more true for those laptops that have their hardware components soldered on to them, which is more and more common even among ThinkPads in current year.

Older ThinkPads don't have this problem.\
Did RAM break? Replace the RAM!\
Did you spill soda over your keyboard? Replace the keyboard.\
Literally impossible with current year laptops!

Because new laptops are all designed to break over time like a ticking time bomb.\
You're supposed to consoom more, slave!

Old laptops, especially those made in 2008 and before (or 2011 and before if it's an AMD processor) on the other hand are made to last.\
Well, not all of them, the consoomer laptops were already ticking time bombs, but the business lines were the ones that kept on running forever.

And now you have the globalists complaining that the world is not sustainable, and are now advertising sustainability on some of the least sustainable websoytes I've ever seen.\
Seriously, their "cloymet friendly" websoytes waste far more electricity than my website, and I don't even try to make it use less, it just does because I know what the fuck I'm doing, and I don't have an agenda to make your hardware obsolete quicker so that you have to buy new computers quicker, while they do!

## Verdict

So with that all said, I just wonder why the fuck should I put myself into the position to buy a new overpriced computer once every year, if I can as well just buy an old laptop, Libreboot it, install a non-SoystemD Linux distro, and use it technically forever?

## Recommended reads and views

[You don't need a new computer](http://qyeifp2auiz6ae434w76nzj7vjxd3qib7rqw4uusaj6k42f3p5abxxyd.onion/you-dont-need-a-new-computer.html)\
[Only Use Old Computers!](https://lukesmith.xyz/articles/only-use-old-computers/)\
[Why Phones Have Become So Terrible](https://wrongthink.neocities.org/posts/the-myth-of-obsolete-hardware/)\
[The Myth of Obsolete Hardware](https://wrongthink.neocities.org/posts/the-hypocrisy-of-pc-gamers/)\
[Dont buy new PCS](https://odysee.076.ne.jp/@MaxJenius:7/nonewpcs:f)\
[[Mirror]The MGTOW of Linux: Curing the Cancer](https://odysee.076.ne.jp/@MaxJenius:7/mgtowoflinux:7)
