title: I2P is awesome!
author: 寮
date: 2022-12-02
tags: technology,internet,anonymity,darknet
threadid: AQBEMulwjISyiKlJA0
----
I2P is awesome!\
So awesome, I regret having not fixed this Eepsite sooner.\
I2P is now my new best friend, sorry Tor.

Those of you reading on I2P will not need an introduction (because you're already using it), but for those reading on Tor, I2P is a darknet just like Tor.\
However, there are quite some differences and similarities.

The biggest difference I2P notes is that Tor was developed by the USSA military, whereas I2P was developed by a group of regular civilians.

## Speed

The first thing you might notice is the connection speed.\
Tor is extremely slow, whereas I2P is actually surprisingly fast.\
This is because Tor relies on 3 different nodes you're going through, and the vast majority of the nodes are in Europe, so Tor might be loading decently fast if you're also located in Europe, but for those of us in the extreme east of Asia, the loading times are a pain in the asshole.\
Not really researched the garlic routing as thoroughly yet, but while the official explanation is that it goes over random numbers of nearby nodes, to me it feels more like a more direct connection between client and server, just like on the clearnet, except without all of the bureaucratic bullshit like DNS, domain registrars, SSL and their CA's, doxing of your IP address, and so on.

## Accessibility

Both require you to set up a proxy and a daemon.\
For Tor use a SOCKS5 proxy with 127.0.0.1:9050, install the `tor` package from your distro's repo.\
For I2P use an HTTP proxy with 127.0.0.1:4444 (SOCKS5 is port 4447, but address helper apparently only works over HTTP), install the `i2pd` package from your distro's repo if you're on a based Linux distro like Artix or Gentoo, or a BaSeD OS like FreeBSD or OpenBSD, but if you're on something more vaginal like Debian (or anything based off that) or any RPM-based distro, it's suggested you download and compile the latest version of i2pd from source yourself.

Tor Project provides entire browsers to make it easier to access it, so I2P is much more of a nerd-only network, whereas Tor is more a nerd-and-criminal-dominant network with more and more normies finding their way into it.

## Backwards compatibility

Tor is a kind of an extension of the clearnet, as it can access the entirety of the clearnet (unless it's Cuckflared or otherwise blocked, like 95% of the entire clearnet), so it's perfectly suitable as an anonymous (and free of charge) VPN too.\
I2P on the other hand is more like an entirely separate internet as it has no access to the clearnet or Onion routing, so it's either I2P or GTFO.\
I think this is actually a good idea, considering that us nerds actually get a separate space for great stuff again that's actually more resiliant towards subversion.\
But you most likely still need to use the clearnet, so best is to have a separate browser for just I2P, in my case I chose to use GNU IceCat for that, since it's the only Furryfox-based browser on my Artix machine that was still left unused.\
Although I had to disable the "Force HTTPS" extension to prevent it from using Eepsites over HTTPS, which it just doesn't support.

## Discoverability

Discoverablity is definitely easier on I2P.\
You can register your own easy to remember domain, and find others on the same Eepsite where you register your domain ([http://reg.i2p/]()).\
It provides a list of available Eepsites, an address helper, and a description, so no need for a search engine, the entire network can be found from 1 database.

On the other hand, Tor hidden services is pretty hard to find, well duh, these are hidden services for a reason!\
So the use of webrings and linking to each other like in the Web 1.0 era is more important on Tor.\
However, you can set up your clearnet site to redirect Tor users to Tor as explained by loli frog ([Clearnet](https://technicalsuwako.moe/blog/automatic-nginx-tor-redirect/), [Tilde](https://tilde.club/~technicalsuwako/blog/automatic-nginx-tor-redirect/), [Tor](http://6qiatzlijtqo6giwvuhex5zgg3czzwrq5g6yick3stnn4xekw26zf7qd.onion/blog/automatic-nginx-tor-redirect/), [I2P](http://technicalsuwako.i2p/blog/automatic-nginx-tor-redirect/)), which helps a bit with discoverability.

## Ease of self hosting

Ever tried to self host a website at home?\
It can be quite a pain in the asshole.\
You need a static IP address, then you need a domain registrar, a DNS (or use theirs), an SSL certificate (just use Let's Encrypt), and now your IP address is known to the entire world.\
Now download some Torrents, and you might possibly expect some glowniggers at your doorstep.

Not the case with Tor and I2P.\
Both of them are extremely simple to set up and host without getting caught, or even your ISP knowing about it, although Tor is the easier one of the 2.\
Tor is literally just add a few lines to the config, and restart the service.\
I2P is like that too, but it's getting a bit more complicated once you go a step further by requesting an actual domain name.\
This process is still miles easier than on the clearnet, though keep in mind you need to use an HTTP proxy for the address helper to work, something the official manual doesn't even mention anywhere, and the reason why I couldn't get my own domain to work.

## Language

Tor is written in C, and has always been C.\
However, in September of current year the Tor Project has announced to be rewriting the daemon to Rust, during the same period the Linux kernel started going Rust too.

I2P on the other hand is originally written in Java.\
However, a C++ implementation exists called "i2pd", and it's officially recognized by the I2P people too.\
If it wasn't for i2pd, I wouldn't be looking into the I2P network at all, so they deserve quite a lot of credit.

## VerDICKt

As I said, I2P is my new best friend.\
That doesn't mean I hate Tor now, in fact I like both a whole lot, it's just that I2P is better.\
I'd say on a scale between 0 and 100, clearnet would be a 10, Tor an 90, and I2P a 100.\
I'd say things like Lokinet, Zeronet, Freenet, IPFS, and the others would go somewhere between clearnet and Tor, because while those are still way better than the clearnet, they're all still inferior towards Tor and I2P.
