title: Testimonals 1: From MS-DOS to AlterLinux
author: 寮 and 亜保
date: 2022-07-18 22:45:00
tags:technology,linux,interview
threadid: ALcMF5q0X6Bux7eH1k
----
I've been using Linux since 1997, and this year I started exploring GhostBSD on an old MacBook (macOS is based off FreeBSD, and FreeBSD is uninstallable, so GhostBSD makes perfect sense to run on it I guess).\
However, my experience with WinDOS has been limited to just 1 week in middle school, which made me take a Damn Small Linux live CD with me to do my work on, and my experience with macOS has been even shorter than that.

Meanwhile I got friends, family members, and a girlfriend to successfully switch to Linux, and a couple more friends and family members who tried and failed.\
So I figured to make a little testimonals series to make you hear their experiences out rather than just me ranting about technology and politics all the time.\
All interviews will be translated to English, because almost all of them only speak Japanese, while my audience is English speaking.

This time I'll be asking a friend of mine who went to school with me, we were in the same class at both lower school and middle school.\
We weren't during high school, but that's because I got kicked out from there, and a local IT company trained me into becoming a system engineer instead.\
We agreed upon that he'll be refered to by the nickname "亜保" (Aho).

-------

## So could you explain the path of operating systems you took, excluding smartphones?

MS-DOS (PC98) → Windows XP → CentOS → Windows XP → Ubuntu → Windows XP → Windows Vista → Linux Mint → Windows Vista → Linux Mint → Windows 7 → Windows 8 → Windows 8.1 → Windows 10 → AlterLinux

## That's quite a lot of switching, could you explain why?

Yes, of course while the entire rest of the world was using Windows 98, we Japanese were still using MS-DOS.（笑）\
Then as the PC98 era has ended, we all moved on to Windows XP, so I did that too.\
But I saw you doing some insane things with Compiz, so I wanted to have that too, and out of the thousands of technology books at the BOOKOFF, I saw maybe 2 Linux related books, and they both mentioned CentOS, so I tried that.

I was so unhappy with that, I changed back to Windows almost immediately.\
Then I decided to ask you about what you're using, and you said Ubuntu, so I installed that.\
I got too confused by the interface, there were 2 taskbars, opened up programs on the bottom, start menu and time on the top, it was confusing, so I went back to Windows again.\
Based on that you recommended me to check out Linux Mint, which was basically Ubuntu but with a more similar look to Windows, and I really liked that, but I missed Windows too much, so I gave up on it once we separated our paths, and moved back to Windows.

All was fine until Windows 10 which treated me like a little child, so I thought it can't be helped.
Then I heard from other friends to try an Arch-based Linux distro, more specifically AlterLinux.\
The reason for AlterLinux is that it's made by Japanese people, so of course they will keep in mind people who only speak Japanese, more support for Japanese speakers, tools to operate in Japanese are pre-installed, and so on.\
I tell you Ryo-chan, I never looked back to Windows ever since, it's the ideal Linux distro.

## Are there tools you miss in Linux which you used in WinDOS?

Yes, well, there used to be tools I was missing.\
As a designer I used Adobe a lot, but after using GIMP for a while, I realized that it has all the tools I was using Photoshop for, and it provides me these tools in an environment that's not hostile to its own users.\
I used Dreamweaver to make HTML sites, but you helped me understand HTML and CSS, so I realized that not only I don't need Dreamweaver, I get much better results without it too.\
As for Premiere Pro and After Effects, I got to learn Olive Video Editor.\
And as Japanese as it can be, I had a massive dependence on Microsoft Office, but almost every distro I tried came with Libre Office (or OpenOffice.org back in the 2000's) pre-installed, so I naturally switched to that, it was pretty easy to switch.\
Other than that, all web browsers I used on Windows (except for Internet Explorer, but that one is dead anyway) are all available on Linux too, Discord exists, Steam exists, Gajim (to talk to you) exists, and so on, and I can still enjoy most games via Wine.

## Ever tried to use the command line before?

Well since I started with MS-DOS, of course I was already familiar with doing stuff in the command line.（笑）\
But truth to be told, I never used the command line on Ubuntu and Linux Mint, because they provided all the graphical tools that made the use of it unnecessary.\
But when I came to AlterLinux, it came with Pamac, but it was pretty tedeous to use, so you taught me how to use Pacman in the command line instead, and it immediately improved the experience by a billion times.\
This got me to explore the command line, and I quickly realized you can easily automate stuff using that, which is impossible to do with graphical programs!

## Would you recommend other people to switch to Linux?

YES!! Absolutely!\
Windows forced me to "voluntarily" buy a new computer once every 2 years because it's getting too slow to work with.\
I'm running this note PC on AlterLinux for the 2nd year now, and it's still just as usable as it was 2 years ago.\
And I believe that AlterLinux treats its users as responsible adults rather, while Windows treats its users as little kids who can't make their own decissions.\
The unfortunate thing nowadays is that almost everyone is using a smartphone, and the only PC users left are either hackers and tinkerers (which are most likely already using Linux anyway), or salarymen who got a note PC from work (and they're not allowed to change the OS to anything else).\
So I really hope smartphone users will start exploring the freedoms PCs give, but in a country like Japan, I think this is going to be a mere fantasy.
