title: Is it still worth fighting for a better clearnet? Or shall we go darknet-only?
author: 寮
date: 2022-07-15 20:50:00
tags:technology,internet,censorship,privacy
threadid: ALVyL4oztBFMr2Cp8a
----
A few months ago, I decided to distrust ([Furryfox](https://kill-9.xyz/guides/distrust_cloudflare), [Chromium](https://kill-9.xyz/guides/distrust_cloudflare_chromium)) all [Cuckflare](/glossary#cuckflare) certificates, but this became such a hurdle to browsing the internet, I undid the distrust 5 days later.\
Recently I gave the distrust thing another try, and things have gotten even worse!

Like yesterday I wanted to test whether I could use the Lynx browser over Tor + VPN (so both!), so I went to Searx, searched for "my ip", almost every single result was Cuckflared.\
It was so bad, the only 2 that weren't were 1 VPN service, and 1 Russian IP info website.\
But beyond that, every single one of them was Cuckflared.

Ealier that same day, I was comparing documentation of as many programming languages as possible (specifically, C (via GNU), C++, C#, Java, PHP, Perl, Go, Ruby, Crystal, Python, Lua, Kotlin, Swift, RISC-V ASSembly (via Github), Intel ASSembly, ARM ASSembly), of which only GNU and Lua were 100% clean websites.\
Perl and Intel ASSembly were using CDNs over Cuckflare, but while it didn't matter with Intel as much, Perl showed up with a pretty broken looking navbar, but otherwise both sites were still entirely usable.

It's even worse with game engines/libraries, now that Unity is working together with a literal malware distributor, my gamedev friends on the Fediverse were looking for alternatives.\
Godot was the best alternative when it comes to engines, it's Cuckflared.\
Alternatively there's Love2D, also Cuckflared.\
So all we have left are libraries, which are SDL, (C)SFML, and Raylib.

I also noticed that Nintendo.com (though only the EC part) is Cuckflared, and so is all of Microshaft, which a few months ago still weren't.\
I was praising Big Tech for not using Cuckflare, but seems like even they will eventually bend the knee.

One positive change I noticed is that the PeerTube instance DollarVigilante.tv (which was Cuckflared) got changed to Vigilante.tv, and they decided not to go behind Cuckflare this time.\
So that's great to see.

But apart from that, I can't see a bright future for the clearnet.\
All the crypto-focussed websoytes, whether it be informational soytes, or exchanges, or wallet developers, or blockchain ANALysis, literally all of them are Cuckflared.\
Even the official soyte of Monero is not Cuckflared, which is hillarious considering that by that they're basically saying "in order to have financial privacy, you must get yourself through our Big Brother surveilled websoyte first".\
But luckily they have an [Onion mirror](http://monerotoruzizulg5ttgat2emf4d6fbmiea25detrmmy7erypseyteyd.onion/), which I think you should rather use instead.

So yea, the clearnet is as good as dead at this point.\
Don't rely on Web3, it's a scam anyway, and even if it wasn't, it's primarily developed by either Big Tech, or supporters of Cuckflare.\
The best is to turn to darknet (Tor and I2P), loli frog recently made a guide for Japanese speakers, which can be found [here](https://technicalsuwako.moe/blog/darknet-1-tor-access-way/) and [here](https://technicalsuwako.moe/blog/darknet-2-i2p-access-way/).\
Due to the fact that Cuckflare outright blocks Tor users, it can't exist on the darknet.\
However, there are idiots who still try, like the Onion mirror for archive.is/archive.ph, which is Cuckflared, so it's literally inaccessible to everyone.\
Therefore, if you want a good internet, there already are options out there to explore, which is the darknet (Tor and I2P), as well as Gemini (and Gopher, but that one is old and unmaintained), which is why I believe these will be the future of the internet, not the clearnet, and certainly not Web3.

Technology has its roots in being free and open, and free and open alternatives always tend to pop up the moment the mainstream one becomes nonfree and locked down.\
The reason why Web3 will fail is exactly because of its nonfree and locked down nature, but it's developed by the very same people who locked down technology in the first place, and investors with no tech literacy whatsoever.\
Successful technology can't be developed without tech savvy people, and no highly skilled tech savvy person will work on a project that won't respect user freedom, none will work on a project that requires them (us) to jump through many hoops just to join the project.

This blog started as darknet-only, and is now temporarily clearnet-only because my darknet server is down, which I won't be able to access until autumn.\
So once I fix that server, I'll be primarily on the darknet again, I'll perhaps keep the clearnet version around, but as a mirror rather than the main place.
