title: Linux phones are roadblockers to the New World Order
author: 寮
date: 2022-04-26 11:59
tags:politics,technology,linux,smartphone
----
I was watching a presentation [Luke Smith gave at MoneroTalk](https://video.076.ne.jp/w/eHVrtr7FXrWoeSjHAv2au3), and took note on how he mentioned that if it wasn't for Richard Stallman and his free software movement, we wouldn't have good software today at all, and we'd all be vendor-locked into closed systems of control.\
The next day somebody else pointed me to [a speech by Richard Stallman himself](https://media.libreplanet.org/mgoblin_media/media_entries/2730/rms-2022-state-of-the-free-software-movement.ogg) basically pointing out how they're still trying to closed sourcify free software through things like Docker and all that, basically proving my point on why we need to avoid Docker containers like the plague.\
But what motivated me the most to write this article was the discussion I had [here](https://social.076.ne.jp/notice/AIpK9RiXZWtpTPh6rw) where in a matter of 13 posts we went from the raise and fall of loli-friendly Fedi instances to how awesome the 1990's were to how Gnome has fucked up the Linux desktop to alternative smartphone UIs.

This got me thinking, desktop liberation happened when Linux and BSD became a thing, and soycial media liberation happened when the Fediverse became a thing.\
Doesn't matter what you think about Linux, BSD, and Fedi, they did actually improve the quality of life for everyone, whether you're still using closed source junk or joined us in the free and open source paradise.\
And now with the PinePhone and Librem 5, we're seeing yet another liberation happening, whether you like it or not.

This is because those 2 devices run Linux out of the box, and Linux can also be installed on a number of (older) Android device.\
Sure, it's unfinished, and the "turn everything into an app" meme that Android and iOS are prevents Linux phones from becoming great (which I think is for the better, as we already have 2 mainstream OSs for the peasants), but most stuff can actually be mitigated.\
Most crapps are just pimped websites anyway, and most of the major crapps even have a browser interface (for now), but there are harder nuts to crack, crapps with no browser or desktop version and blatantly force you into using a mobile crapp, like many banks, and from what comes up in my mind, Mercari, LINE, [Starlink router configuration](https://video.076.ne.jp/w/rdKQ7MVTBrMpqxgzXRa5n9), Phillips scale configuration, and so on.

Guess what?\
You don't need them!

The same banks that require you to use their banking app are the ones freezing your account for standing up for your freedom, so either switch to a different bank where they don't require it, or just use crypto before the masses do so.\
Instead of using Mercari, try selling your stuff offline, or on other 2nd hand storefronts, or make your own webshop ([please without modern soydevery, otherwise you'll be better off selling on Amazon instead](/blog/why-nobody-cares-about-webshops/)), or hell even Amazon doesn't require you to have a mobile app to sell stuff.\
Instead of LINE, just use XMPP, because everything else just sucks.\
If you need a Starlink satellite, just buy a 3rd party router, you should be able to connect to it anyway.\
Even SoftBank doesn't lock me into their own routers, I just use a Linksys router with DD-WRT on it with no issues at all, and enjoy a superior router too.\
As for the Phillips scale, just buy a normal scale, all you need to know is your weight, there's literally no need for a space ship for that.

And as for the "Vaccine" Passport, that's the point I'm dumping smartphones altogether.\
Just stop complying with your own slavery, even though the non-Linux phone I use is a degoolagged Android phone, I always keep it at home and just take a Linux phone with me instead (when going on a longer trip, I leave everything at home if I stay close to my home), which I use as a portable router for my note PC which I also take with me.

The fact of the matter is, the smartphone is the New World Order.\
The raise of the Linux phones might sabotage this just like how Linux desktops have sabotaged their attempt to take full control over the desktop and even the web.\
So I'm seeing it as a great opportunity to fight back against the anti-christ.\
If you're so anti-smartphone that you wouldn't even give Linux phones a try, [more power to you](https://video.076.ne.jp/w/sEtsKgMxxmZCMr4m6PtJnQ).\
The point is that there's an alternative available [that](https://techcrunch.com/2016/02/01/jolla-confirms-the-sailfish-tablet-is-dead/) [can't](https://gamefromscratch.com/firefox-os-is-officially-dead/) [be](https://www.bit-tech.net/news/tech/mobile/canonical-confirms-ubuntu-phone-death/1/) [killed](https://www.theverge.com/2017/10/9/16446280/microsoft-finally-admits-windows-phone-is-dead) due to a lack of profit, I mean users.\
You don't need to buy a Linux phone to support the pushback against the New World Order powered by iOS and Android duopoly (or actually monopoly, since both [Crapple](https://finance.yahoo.com/quote/AAPL/holders?p=AAPL) and [Goolag](https://finance.yahoo.com/quote/GOOG/holders?p=GOOG) are owned by BlackCock and Vanguard anyway), the very existence of the Linux phones alone is already great.\
And of course the big nerds will buy one just because it's FOSS.\
Like how the existence of Pale Meme a pushback against the Chromium (and WebKit and Gecko, but both are in bed with Chromium anyway) takeover of the browsers, so is the existence of Linux phones a pushback against the iOS and Android takeover of mobile phones.
