title: Product review: unbranded JT101 portable WiFi router
author: 寮
date: 2022-12-30
tags: technology,internet,network,review
----
Normally I don't do product reviews because they're annoying to write, and I just don't like to shill products I can't claim credit for unless it's free and open source.\
However, you probably know by now how much I hate smartphones and the zombies it has created, so I've been constantly working on making it as irrelevant to me as possible.\
Like for offline payments I have cash, for online payments I have Monero, for internet and using computers in general I have a real computer (or well, many), for photos and video recording I have a real camera, for navigation I have a functioning brain, for dark spots I have a flash light, for music I have an MP3 player, for checking the current weather I have eyeballs and a window to look through, and for weather forcasting I have knowledge about clouds and wind direction.\
Until now, all I had left I needed a smartphone for were phone calls and portable internet router, and now I can dash out the portable router from that list.

I have bought specifically [this router](https://www.amazon.co.jp/gp/product/B09CYRN8G9), because it's tiny, cheap, and it just works.\
Well, configuration is needed, I'll get to it in a minute.\
Of course it arrived without a SIM card, which the product page made very clear, although for some weird reason the order history showed that it included a rental travel SIM.\
So when it arrived, I re-purposed my Rakuten Mobile SIM card which I used to use on a PinePhone which is basically broken now (I mean the screen specifically, dead pixels around the edges to the point I can't see a thing anymore).\
The PinePhone uses a Micro SIM card (why the fuck did they call it "micro" if it's not even that much smaller than a normal SIM card though?), but the router uses a normal SIM card, which got me at first because it couldn't get the SIM card to work at first.\
But I figured that if I moved the SIM card a bit more away from the edge so that all the pins would touch the chip itself, the SIM card got recognized.\
The next problem that arrived was that there was no service.\
But after reading the manual, it seemed like I had to manually set the APN, and it can be done by connecting to it, and going to 192.168.0.1, and logging in with the default password which is "admin", just like on a home router!\
The interface is available in Japanese, English, Chinese, Vietnamese, and Korean, which is what you'd expect from a product bought in East Asia anyway.\
But I'm fine with the default language, which of course is Japanese.

After setting the APN (by default it's set to Vodafone for some reason, which is weird because there is no Vodafone in Japan), it still didn't work.\
So I rebooted it, and now it finally worked!\
Connection is great, speed is great, battery life is good enough (not really good, but for my use case it's fine), and it works like how I expect it to work.\
Since it's using 4G, it's showing me how much data I've used up thus far on the screen, which is a very handy feature.\
In the admin web portal you can also read and send SMS messages, which is a pretty nice extra, although I don't think I will really use it.\
Apart from APN and SMS, the router is just like a basic home router, you can even set up port forwarding, DMZ, DDNS, and all that.

The very tiny device's display is quite colorful, but easy to understand.\
There are 2 buttons that kind of remind me to the volume buttons on a smartphone, the first button turns the screen on and off, or turns the device on and off when doing a long press.\
The second button rotates the screen between your SSID and password (it's displayed in plain text, so be careful!), the data usage I just mentioned, and a QR code, which is something I won't use.\
The battery is being charged using a micro USB cable by the way.\
There's also a hook for an arm strap, but who cares?\
I don't intend on replacing a smartphone's tethering feature with a portable WiFi router to have it attached to my arm.

The thing is not perfect though, one thing I have to complain about is that there's no way to use special characters (!"#$%&'()=~\\|@`[]{}+*;:<>,.?/_) for the WiFi password, and there's apparently no way to change the web admin password at all, so I'd not want to share my WiFi details with anyone other than myself because of that.\
The other issue is the fact it's unbranded, it's probably just some cheapo CHAINA!! device that can just explode out of nowhere at some point.\
But if by any chance the device dies, where am I supposed to go to?\
It's not made by TP-Link, or Netgear, or Linksys, or whatever, it's just made by "someone".\
There's no mentioning of who made it in the web admin, on the device, inside of the battery cover, in the instruction manual, on the box, just the model name and that's it.\
The battery itself does say it was made apparently in Shenzhen Tianjin New Energy Technology Co. Ltd in.....South Korea?\
But that's just the battery, not the device itself.\
[Somebody else](https://wifi-kiwami.net/dokoyori-review) who got it seemingly a few months before me mentions the brand name to be "どこよりもWiFi" (Dokoyorimo WiFi), except I don't have that sticker on mine.\
On mine it just says "4G LTE WiFi" on that same spot.

But apart from that, it's actually a really nice piece of hardware that has further helped me getting myself even less reliant on the satanphone than I already was.\
So all I have left now is phone calls, I can easily just take a landline because I only make phone calls while at home anyway, and my friends and family all know it.\
But perhaps something I could eventually do if I get a difer desk and somehow extend a wall to make my house a bit bigger.\
So I'm looking more for a solution involving SIP phones, except there's apparently no SIP client for Linux or BSD that doesn't suck.
