title: What is the ideal website?
author: 寮
date: 2022-08-05 09:00:00
tags:technology,internet,webdev
threadid: AMCTsuEDlvK3yWFtce
----
Since we're living in clown world, and thus people have to be told how common sense works, I made this article.\
The 90's internet wasn't perfect (like soytes only working in Netscape and/or IE4 for example), but it did most things right.

This might seem like a re-write of [this article](/blog/what-is-considered-broken-website/), but it really isn't.\
Back then I wrote about what is considered to be a broken website, and how to fix these problems.\
This time I'm writing about how to properly make use of websites the common sense way, rather than the clown world way.

So what is the ideal website?

# 1. No dependency on JavaScript

If JavaScript is being used, the website is at the very least fully readable and navigatable without it.\
This is important, because more and more soydevs started opting in for so-called "virtual routing" via JS, which is breaking your browser's back button.\
More on that tomorrow.

# 2. Your website is browser independent

I don't mean like in "have a native app for it", but rather "you don't make it viewable only in Chromium and Furryfox".\
Always test your websites with as many different browsers as possible.\
Not something like Chrome + Brave + Opera + Edge, because they're all skins of the same browser anyway.\
More like test in Lynx + w3m + Dillo + NetSurf + Furryfox + Chromium + Pale Meme + Safari (unless you have no way of running it, then go with a WebKitGTK browser of choice instead) + a WebKitGTK browser of choice + both standard mobile browsers.

My own website doesn't render in Dillo (no background at all, no iframe at all, no UTF-8, main div takes full width), NetSurf (no line glow, no iframe transparency, no flickering website title, no transparency, background image is not centered), and Lynx and w3m (for obvious reasons) as intended, I know that.\
But it's still fully accessible, and fully readable (at least, all the stuff that matter is readable).

By the way, I love how Dillo puts the page weight right in your face, I think that's pretty based.

# 3. Your website is your main space on the internet

This should be a no-brainer, yet it apparently makes no sense to so many people.\
In the ideal world, personal websites are your main platforms, corporate websites are a summary of your websites, business websites are where you sell goods and/or services, email is for contact, RSS feeds are for news feeds, and soycial media are for shitposting, news feeds for the zoomer audience, and irrelevant chatter.

Instead, what we have in current year is soycial media are the main platforms you speak on, Discucked is for contact, email is for news feeds, personal websites are for advertisements for your soycial media profiles and Discucked chatrooms, and corporate websoyte = business websoyte, also what the fuck is an RSS feeds!?

Your personal website will always be your freest form of spreading information, no matter what.\
Soycial media and Discucked on the other hand aren't.\
Also, newsletters often end up in spam, RSS feeds don't.\
So if you do it like that, then don't complain about censorship, you're the one who provoked your voice to be taken away in the first place by treating SNS and Discucked as your main platforms!

# 4. Keep your website sane

An insane website looks like this (video, so requires an HTML5 capable browser to see):

<video src="http://ass.ryocafe.site/d92a570115ce14bc54dd5383597b31756f7f46bf7277b7b90e7fd129d70fa078.webm" controls="controls"></video>

Video was made by [Wrongthink](https://wrongthink.neocities.org/).

A sane website loads its contents on page load, and stays that way.\
No ads, no trackers, no cookie popups, no mailing list popups, just content that is accessible.\
So don't be that soulless motherfucker that makes it as hostile for you to read content on your site as possible!
