title: Yet another technology term got turned into a buzzword...
author: 寮
date: 2022-08-13 06:35:00
tags:technology
threadid: AMSrNTuip42qIpJWoC
----
Over 10 years ago (not sure exactly how long, but it was before "The Cloud" was used) I worked for a hosting company that provided services called "Unmanaged VPS" and "Managed VPS".\
The concept is simple: the tech literate Unix fanatics (or WinDOS fanatics in the case of WinDOS Server) paid less, and got full root access to their virtual machine.\
And as soon as they change the root password (using the "passwd" command), they knew for sure we had no control over their VPS at all.\
On the other hand, the tech illiterate normies would pay a whole lot more, and not get access to the server at all, but they could just call us up at any given time if they need something, and we delivered.

And I've seen quite a lot of changes in the terms, primarily with the "Managed VPS" one.\
A lot of readers here would still remember the term "The Cloud", which is simply a rebranding of "Managed VPS", meanwhile the term "Unmanaged VPS" got renamed to just "VPS".\
But because "The Cloud" was such a popular buzzword, even the tech literate fell for this scam.\
Hell, even the last IT company I worked for before becoming self employed fell for the scam, as they moved all their self-hosted servers (actual machines) to AWS, with the exception of 1 machine, which got repurposed as an internal use XMPP and Samba server, and later Samba got replaced by NextCloud.

Here in Japan specifically the term "Rental Server" eventually replaced "The Cloud", while overseas they went with the term "Serverless" instead, which are all basically the same thing.\
This term is especially confusing, because when I think of a "Rental Server", I immediately think of a "Dedicated Server", so literally hardware in a datacenter of which you're renting out space.\
I even had to confirm with the ConoHa staff 5 times in a row to make absolutely sure their at the time brand new service "ConoHa Wing" was a managed VPS and not an unmanaged one, it's this confusing!

Now it seems the big corpo's are at it yet again, this time they call it "Zero Trust".\
[This article](https://unixsheikh.com/articles/zero-trust-is-being-hijacked-by-the-big-corporate-hype-machine.html) popped up in my RSS feeds this morning, which got me reminded by the fact that it's not the first time they're hijacking terms and turn it into blatant scams.

The other well known one are the rather infamous [ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890aaS](/scams/whateverasaservice/) stuff.\
There's quite a pattern with these ones.\
For example, Software as a Service can be translated to "software you rent out".\
Gaming as a Service can be translated to "video games you don't own which you're just renting out".\
Mobility as a Service is basically a trendy way of saying "public transportation and government/corporate owned bicycles/steps/scooters you subscribe to against a monthly fee".

Blockchain is yet another one.\
Before Bitcoin, we'd call it a linked list.\
Blockchain is great technology when it comes to cryptocurrencies, but in my honest opinion it should have stayed at that.\
I noticed this very often as a freelancer, companies wanting to implement "blockchain technology" into their products, and as it became time to implement it, it turns out they have no idea about what a blockchain even is.\
And you can often guess well in advance that they have no idea if you consider what types of projects they want to have it implemented into.\
"We want to implement a newsletter using blockchain technology.", like how the fuck is this going to benefit the newsletter industry!?\
"I don't know, it's just hip and cool, if we don't use blockchain somehow, we'll be lagging behind on competition.".

The last 2 examples I will give in the technology department are Open Source and Ethical Software.\
What truly matters is Free Software, which is both open source AND ethical.\
[Open Source got infiltrated by big corporations just because it's trendy](https://videos.lukesmith.xyz/w/jCfHvUNA2jn2AT2C8e2dQw).\
To them it's just "[proprietary soyware with an EULA](https://wrongthink.neocities.org/posts/eulas-fealty-to-the-overlords/) while having the soyce code (partially) available as read-only format".\
As with the [ethical software part](http://jewtube.i2p/watch?v=wQW2iOwwMsE), it's basically just far leftists actively discriminating groups of people from using their software (especially centrist and right leaning ones).

It's only a matter of time before they take over "minimalist software", and turn it into something that's anything but minimalist.

A recent one irrelevant to technology that's taking over the western world in particular is "vegan".\
"Vegan food" is basically the new "bio food", which basically means "the exact same product as the regular one, but you pay more and get less, but you'll feel good about it".\
But then things get obvious when they mark things like candy, potato chips, ice cream, or vegetables as "vegan", which never use meat in the first place.\
And it's getting especially ridiculous when even stuff like shampoo or tooth paste gets [marketed](https://wrongthink.neocities.org/posts/advertising-cancer-on-society/) as "vegan", as if they're even meant to be eaten orally.\
So dear mega corporations, please stop scamming people using the "vegan" branding, it's absolutely non-sensticle...

And there are way more such scam terms in all sorts of industries, but I don't want to drag on forever.
